## postgresql-common 211

=== debian/changelog ===
postgresql-common (211) unstable; urgency=medium

  [ Dagfinn Ilmari Mannsåker ]
  * pg_createcluster, pg_updatedicts: Enable strict and warnings.

 -- Christoph Berg <myon@debian.org>  Mon, 27 Jan 2020 14:57:59 +0100

postgresql-common (210) unstable; urgency=medium

  * pg_ctlcluster: Drop privileges before creating socket and stats temp
    directories outside /var/run/postgresql. The default configuration is not
    affected by this change. Users with directories on volatile storage
    (tmpfs) in other locations have to make sure the parent directory is
    writable for the cluster owner. (CVE-2019-3466, discovered by Rich Mirch)

 -- Christoph Berg <myon@debian.org>  Thu, 14 Nov 2019 13:23:42 +0100

postgresql-common (209) unstable; urgency=medium

  * pg_buildext: Fix installcheck for packages that don't have
    debian/control.in (pg-sphere).
  * PgCommon.pm cluster_info: Recognize standby.signal and recovery.signal for
    PG12 clusters instead of recovery.conf.

 -- Christoph Berg <myon@debian.org>  Thu, 07 Nov 2019 15:09:18 +0100

postgresql-common (208) unstable; urgency=medium

  [ Christoph Berg ]
  * gitlab/gitlab-ci.yml: Too many packages fail because reprotest runs the
    build as root, disable for now.
  * README.Debian: Redirect reference to architecture.html to README.md.gz.
    (Closes: #942021)
  * README.Devel: Remove, bzr is long obsolete.
  * Remove dependency on dctrl-tools; rewrite control file updating in perl.
    As a side effect, generated debian/control files will no longer have a
    trailing empty line. Die if no supported versions were found.
  * pg_upgradecluster: Accept -m link and -m clone for simplicity.
  * debian/supported-versions: Add 12 as default version and for Ubuntu 20.04.
  * pg_createcluster: Add note on security implications of using --auth-host
    and --auth-local.
  * postgresql-all: Don't depend on postgresql-plpython-12, it doesn't exist.
  * pg_buildext: New action "installed-versions" reporting the list of
    PostgreSQL major versions used by packages built from a source package.
  * pg_buildext: "installcheck" uses "installed-versions" now.

  [ Tilman Koschnick ]
  * pg_upgradecluster: Support passing --clone to pg_upgrade.
    (Closes: #942307)

 -- Christoph Berg <myon@debian.org>  Mon, 28 Oct 2019 15:04:12 +0100

postgresql-common (207) unstable; urgency=medium

  * PgCommon.pm: Fix infinite recursion in get_program_path if
    /usr/lib/postgresql/ contains a non-version directory.
    Patch by ITANI Eiichiro, thanks! (Closes: #940220)

 -- Christoph Berg <myon@debian.org>  Fri, 20 Sep 2019 14:24:23 +0200

postgresql-common (206) unstable; urgency=medium

  * pg_ctlcluster, pg_upgradecluster: Always use latest psql.
  * t/135_pg_virtualenv.t: Run pg_virtualenv on all versions.
  * gitlab/gitlab-ci.yml: Include salsa-ci pipeline instead of our own.

 -- Christoph Berg <myon@debian.org>  Thu, 12 Sep 2019 15:49:10 +0200

postgresql-common (205) unstable; urgency=medium

  * Disable plpython2 packages by default. (Closes: #937310)
  * testsuite: Prefer PgCommon.pm from current directory.
  * pgcommon.sh: Remove obsolete Ubuntu code in locale_gen function.
  * Drop lsb-release dependencies, we prefer /etc/os-release anyway.
  * apt.postgresql.org.sh: Parse VERSION_CODENAME in /etc/os-release.

 -- Christoph Berg <myon@debian.org>  Wed, 04 Sep 2019 08:38:08 +0200

=== debian/control ===
Source: postgresql-common
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Martin Pitt <mpitt@debian.org>,
 Christoph Berg <myon@debian.org>,
 Peter Eisentraut <petere@debian.org>,
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
Build-Depends:
 debhelper (>= 9),
 debhelper (>= 10.1) | dh-systemd (>= 1.19),
 libreadline-dev,

Package: postgresql-common
Architecture: all
Multi-Arch: foreign
Depends:
 adduser,
 debconf (>= 0.5.00) | debconf-2.0,
 lsb-base (>= 3.0-3),
 perl (>= 5.14),
 postgresql-client-common (= ${source:Version}),
 procps,
 ssl-cert (>= 1.0.11),
 ucf,
 ${misc:Depends},
Recommends:
 e2fsprogs,
 logrotate,
Suggests:
 libjson-perl,
Breaks:
 postgresql-9.1 (<< 9.1.1-3~),
 systemd (<< 204),
# pg_buildext moved pg-s-d-all in 204
 postgresql-server-dev-all (<< 204),
Replaces:
 postgresql-server-dev-all (<< 204),
Description: PostgreSQL database-cluster manager
 The postgresql-common package provides a structure under which
 multiple versions of PostgreSQL may be installed and/or multiple
 clusters maintained at one time.
 .
 The commands provided are pg_conftool, pg_createcluster, pg_ctlcluster,
 pg_dropcluster, pg_lsclusters, pg_renamecluster, pg_upgradecluster,
 pg_virtualenv.
 .
 PostgreSQL is a fully featured object-relational database management
 system. It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects. Its features include ACID
 transactions, foreign keys, views, sequences, subqueries, triggers,
 outer joins, multiversion concurrency control, and user-defined types
 and functions.

Package: postgresql-client-common
Architecture: all
Multi-Arch: foreign
Depends:
 netbase,
 ${misc:Depends},
 ${pgdg:Depends},
Recommends:
 ${readline:Recommends},
Description: manager for multiple PostgreSQL client versions
 The postgresql-client-common package provides a structure under which
 multiple versions of PostgreSQL client programs may be installed at
 the same time. It provides a wrapper which selects the right version
 for the particular cluster you want to access (with a command line
 option, an environment variable, /etc/postgresql-common/user_clusters,
 or ~/.postgresqlrc).
 .
 PostgreSQL is a fully featured object-relational database management
 system. It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects. Its features include ACID
 transactions, foreign keys, views, sequences, subqueries, triggers,
 outer joins, multiversion concurrency control, and user-defined types
 and functions.

Package: postgresql-server-dev-all
Architecture: all
Depends:
 make,
 postgresql-common (>= 117~),
 ${misc:Depends},
 ${server-dev-all-depends},
Description: extension build tool for multiple PostgreSQL versions
 The postgresql-server-dev-all package provides the pg_buildext script for
 simplifying packaging of a PostgreSQL extension supporting multiple major
 versions of the product, and dh_make_pgxs which builds a template debian/
 source package directory based on pg_buildext.
 .
 PostgreSQL is a fully featured object-relational database management
 system. It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects. Its features include ACID
 transactions, foreign keys, views, sequences, subqueries, triggers,
 outer joins, multiversion concurrency control, and user-defined types
 and functions.

Package: postgresql
Architecture: all
Depends:
 postgresql-${default-version},
 ${misc:Depends},
Suggests:
 postgresql-doc,
Description: object-relational SQL database (supported version)
 This metapackage always depends on the currently supported PostgreSQL
 database server version.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: postgresql-client
Architecture: all
Multi-Arch: foreign
Depends:
 postgresql-client-${default-version},
 ${misc:Depends},
Description: front-end programs for PostgreSQL (supported version)
 This metapackage always depends on the currently supported database
 client package for PostgreSQL.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: postgresql-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 postgresql-doc-${default-version},
 ${misc:Depends},
Description: documentation for the PostgreSQL database management system
 This metapackage always depends on the currently supported PostgreSQL
 database documentation package.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: postgresql-contrib
Architecture: all
Depends:
 postgresql-contrib-${default-version},
 ${misc:Depends},
Description: additional facilities for PostgreSQL (supported version)
 This metapackage always depends on the currently supported PostgreSQL
 database contrib package.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: postgresql-all
Architecture: all
Depends:
 libecpg-dev,
 libpq-dev,
 postgresql-server-dev-all,
 ${postgresql-all-depends},
 ${misc:Depends},
Description: metapackage depending on all PostgreSQL server packages
 This metapackage depends on all PostgreSQL server packages, in all
 supported versions (excluding documentation and debug symbols). It
 exists to facilitate depending on the server packages in test
 environments.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

## postgresql-common 214

=== Makefile ===
POD2MAN=pod2man --center "Debian PostgreSQL infrastructure" -r "Debian"
POD1PROGS = pg_conftool.1 \
	    pg_createcluster.1 \
	    pg_ctlcluster.1 \
	    pg_dropcluster.1 \
	    pg_lsclusters.1 \
	    pg_renamecluster.1 \
	    pg_upgradecluster.1 \
	    pg_wrapper.1
POD1PROGS_POD = pg_buildext.1 \
		pg_virtualenv.1 \
		dh_make_pgxs/dh_make_pgxs.1
POD8PROGS = pg_updatedicts.8

all: man

man: $(POD1PROGS) $(POD1PROGS_POD) $(POD8PROGS)

%.1: %.pod
	$(POD2MAN) --quotes=none --section 1 $< $@

%.1: %
	$(POD2MAN) --quotes=none --section 1 $< $@

%.8: %
	$(POD2MAN) --quotes=none --section 8 $< $@

clean:
	rm -f *.1 *.8 dh_make_pgxs/*.1

# rpm

DPKG_VERSION=$(shell sed -ne '1s/.*(//; 1s/).*//p' debian/changelog)
RPMDIR=$(CURDIR)/rpm
TARBALL=$(RPMDIR)/SOURCES/postgresql-common_$(DPKG_VERSION).tar.xz

rpmbuild: $(TARBALL)
	rpmbuild -D"%_topdir $(RPMDIR)" --define='version $(DPKG_VERSION)' -ba rpm/postgresql-common.spec

$(TARBALL):
	mkdir -p $(dir $(TARBALL))
	git archive --prefix=postgresql-common-$(DPKG_VERSION)/ HEAD | xz > $(TARBALL)

rpminstall:
	sudo rpm --upgrade --replacefiles --replacepkgs -v $(RPMDIR)/RPMS/noarch/*-$(DPKG_VERSION)-*.rpm

rpmremove:
	-sudo rpm -e postgresql-common postgresql-client-common postgresql-server-dev-all

rpmclean:
	rm -rf $(TARBALL) $(RPMDIR)/BUILD

=== debian/changelog ===
postgresql-common (214) unstable; urgency=medium

  * check_pidfile_running: Read /proc/$pid/cmdline instead of calling /bin/ps.
    (Works around #952572)

 -- Christoph Berg <myon@debian.org>  Thu, 27 Feb 2020 13:22:52 +0100

postgresql-common (213) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * t/020_create_sql_remove.t: fix file clear with procps 3.16. (LP: #1864423)

  [ Christoph Berg ]
  * pg_lsclusters: List clusters even if the corresponding PostgreSQL
    binaries are missing; include "binaries_missing" in status column.
    (Salsa #13)
  * Reload systemd on install since we don't do that automatically via
    dh_installinit. Problem reported by velix, thanks! (Salsa #12)
  * debian/maintscripts-functions: Save full bin and lib dirs on catversion
    bump. Problem reported by Komzzpa, thanks! (Salsa #9)
  * debian/maintscripts-functions: Suppress errors from pg_controldata, the
    control file might be missing if the cluster was pg_upgraded. Spotted by
    Michael Banck, thanks! (Salsa #6)
  * pg_wrapper: Reword docs to better describe clusters on the local system.
    Reported by James Coleman, thanks! (Closes: #950149)
  * pg_wrapper: Document that `ALTER SYSTEM SET port` will interact badly with
    cluster selection. (Closes: #919385)

 -- Christoph Berg <myon@debian.org>  Mon, 24 Feb 2020 16:20:14 +0100

postgresql-common (212) unstable; urgency=medium

  * debian/supported-versions: Remove 9.4 support on apt.postgresql.org.

 -- Christoph Berg <myon@debian.org>  Tue, 11 Feb 2020 15:06:26 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
  lsb-base (>= 3.0-3),
  perl (>= 5.14),
  postgresql-client-common (= ${source:Version}),
- procps,
  ssl-cert (>= 1.0.11),
  ucf,
  ${misc:Depends},

=== dh_make_pgxs/debian/watch ===
#version=4
#https://github.com/@SOURCE@/@SOURCE@/releases .*/v(.*).tar.gz

## postgresql-common 214ubuntu0.1

=== debian/changelog ===
postgresql-common (214ubuntu0.1) focal-security; urgency=medium

  [ Christoph Berg ]
  * t/170_extensions.t: Don't drop plpgsql before testing extensions.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 24 Aug 2020 10:41:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,
  Christoph Berg <myon@debian.org>,

=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
ifneq ($(findstring bpo,$(VERSION)),)
	FLAVOR := debian-backports
else ifneq ($(findstring pgdg,$(VERSION)),)
	FLAVOR := pgdg
	# for apt.postgresql.org builds, pull in the repository key package
	PGDG_DEPENDS := pgdg-keyring
else
	FLAVOR := default
endif
SUPPORTED_VERSIONS := $(shell PG_SUPPORTED_VERSIONS="$(FLAVOR)" debian/supported-versions)
DEFAULT_VER := $(lastword $(SUPPORTED_VERSIONS))
LIBREADLINE := $(shell dpkg-query -W --showformat '$${Status} $${Package}\n' 'libreadline[0-9]'| sed -n '/ installed / {s/^.* //; p}'|sort -ru | head -n1)

#py2#PYTHON2_PACKAGE=postgresql-plpython-$v
WITH_SYSTEMD=--with systemd

%:
	dh $@ $(WITH_SYSTEMD)

override_dh_auto_configure:
	@echo "### Building postgresql-common flavor $(FLAVOR)"
	@echo "### Supported PostgreSQL versions: $(SUPPORTED_VERSIONS) (default version: $(DEFAULT_VER))"

override_dh_install:
	dh_install
	$(MAKE) -C systemd install DESTDIR=$(CURDIR)/debian/postgresql-common
	install -m 644 -D debian/postgresql-common.sysctl debian/postgresql-common/etc/sysctl.d/30-postgresql-shm.conf
	/bin/echo -e "# See /usr/share/postgresql-common/supported-versions for documentation of this file\n$(FLAVOR)" > debian/postgresql-client-common/etc/postgresql-common/supported_versions

override_dh_installinit:
	dh_installinit -ppostgresql-common --name=postgresql -u'defaults 19 21' -r

override_dh_gencontrol:
	dh_gencontrol -ppostgresql-server-dev-all -- -Vserver-dev-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),postgresql-server-dev-$v,)"

	# the versionless metapackages need to have version numbers which match
	# the server version, not the p-common version
	dh_gencontrol -ppostgresql -ppostgresql-client -ppostgresql-doc -ppostgresql-contrib -ppostgresql-all -- \
		-Vdefault-version="$(DEFAULT_VER)" -v'$(DEFAULT_VER)+$${source:Version}' \
		-Vpostgresql-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),postgresql-contrib-$v,postgresql-plperl-$v,$(if $(filter 8.% 9.% 10 11, $v), $(PYTHON2_PACKAGE)),postgresql-plpython3-$v,postgresql-pltcl-$v,)"

	dh_gencontrol -ppostgresql-client-common -- -Vpgdg:Depends="$(PGDG_DEPENDS)" -Vreadline:Recommends=$(LIBREADLINE)

	dh_gencontrol --remaining-packages

=== debian/tests/control ===
Tests: default-psql
Depends: postgresql
Restrictions: needs-root

Tests: run-testsuite
Depends: postgresql-all, build-essential, fakeroot, perl, hunspell-en-us, locales, netcat-openbsd, net-tools, procps, logrotate
Restrictions: needs-root

## postgresql-common 214ubuntu0.1+10.0trisquel1

=== debian/changelog ===
postgresql-common (214ubuntu0.1+10.0trisquel1) nabia-security; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 21 Sep 2021 15:16:59 +0000

## postgresql-common 216

=== debian/changelog ===
postgresql-common (216) unstable; urgency=medium

  * Updated es debconf translation by Camaleón, thanks! (Closes: #960994)
  * apt.postgresql.org.sh: Install contrib package with -i.
  * pg_virtualenv: Show PostgreSQL backtrace when coredumps are found and gdb
    is installed.
  * pg_ctlcluster: Fix cluster start in 8.2/3.
  * pg_virtualenv: 8.2 doesn't have pg_ctl -c yet.
  * t/170_extensions.t: Don't drop plpgsql before testing extensions.
  * t/TestLib.pm: Fix deb_installed to only recognize fully installed
    packages.

 -- Christoph Berg <myon@debian.org>  Wed, 12 Aug 2020 15:10:25 +0200

postgresql-common (215) unstable; urgency=medium

  * Mark only the packages as apt NeverAutoRemove for which PostgreSQL
    clusters exist. /etc/apt/apt.conf.d/01autoremove-postgresql is updated
    when clusters are created and dropped. (Closes: #948728)
  * t/TestLib.pm: Add os_release function.
  * t/020_create_sql_remove.t: Verify server libssl linkage.

 -- Christoph Berg <myon@debian.org>  Thu, 14 May 2020 16:36:50 +0200

## postgresql-common 225

=== debian/changelog ===
postgresql-common (225) unstable; urgency=medium

  * pg_lsclusters, cluster_info: Show cluster managed by pacemaker or patroni.
  * pg_ctlcluster: Fix "use systemctl instead" context.
  * pg_createcluster: In 14+, use initdb --no-instructions.
  * pg_upgradecluster: Deprecate password_encryption as boolean in 14.
  * t: Accept changed connection error messages from libpq 14.

 -- Christoph Berg <myon@debian.org>  Tue, 02 Feb 2021 15:40:25 +0100

postgresql-common (224) unstable; urgency=medium

  * pg_wrapper, PgCommon: When looking for the newest version, consider the
    name of the binary (psql, postgres) asked for.
  * pg_buildext: Fix typo in the psql/virtualenv exit code handling.
  * pg_ctlcluster: Fix starting of md5-only clusters on 8.2/8.3.
  * t/025_logging.t: Sleep a bit for the log tests to make test more stable.
  * postgresqlrc.5, user_clusters.5: Mention file locations more prominently.
  * pg_upgradecluster: Deprecate operator_precedence_warning in PG14.

 -- Christoph Berg <myon@debian.org>  Thu, 14 Jan 2021 16:23:51 +0100

postgresql-common (223) unstable; urgency=medium

  * pg_ctlcluster: Refuse to start root-owned clusters with a sensible error
    message.
  * pgdg/apt.postgresql.org.sh: Add groovy, remove archived distributions.

 -- Christoph Berg <myon@debian.org>  Thu, 12 Nov 2020 12:37:57 +0100

postgresql-common (222) unstable; urgency=medium

  [ Michael Banck ]
  * pg_upgradecluster: set max_wal_senders along with wal_level in ugprade
    mode.

  [ Christoph Berg ]
  * Drop t/003_package_checks.t, psql can be linked with readline now.
    http://meetbot.debian.net/debian-ftp/2020/debian-ftp.2020-03-13-20.02.html
  * Remove PostgreSQL 13 transition Breaks, problems were testsuite-only.

 -- Christoph Berg <myon@debian.org>  Mon, 26 Oct 2020 11:46:34 +0100

postgresql-common (221) unstable; urgency=medium

  [ Christoph Berg ]
  * pg_virtualenv: Skip build-time package tests if the PG server is missing
    extension_destdir support.
  * Test-depend on debhelper for the pg_buildext tests.
  * Skip pg_buildext tests when invoked from postgresql-NN server tests.
  * dh_make_pgxs: Support running with older debhelper versions.
  * pgdg/apt.postgresql.org.sh: Bump devel version to 14, thanks to Aaron
    Pavely for spotting!
  * pg_updateaptconfig: Fix not to emit duplicated version entries.
  * Add Breaks on regressing packages with the move to PG13.

  [ Dominik George ]
  * pg_buildext: Fail late on builds and tests to logs for all versions.

 -- Christoph Berg <myon@debian.org>  Tue, 13 Oct 2020 23:27:27 +0200

postgresql-common (220) unstable; urgency=medium

  * dh_make_pgxs: Use dh --with pgxs in template.
  * dh_make_pgxs: Add `R³: no` to control.in template.
  * debhelper: Use dpkg_architecture_value() instead of hostarch() because
    Dh_Lib.pm on stretch and xenial doesn't have the latter yet.
  * Add t/190_pg_buildext.t covering pg_buildext and debhelper integration.

 -- Christoph Berg <myon@debian.org>  Mon, 12 Oct 2020 23:21:52 +0200

postgresql-common (219) unstable; urgency=medium

  * postgresql-server-dev-all: Depend on strict postgresql-common version.
  * pg_virtualenv: Export PGVERSION with the PostgreSQL major version.
  * pg_virtualenv: Add -p option to set extension_destdir.
  * pg_buildext: Add "virtualenv" action that loops over shells for testing.
  * pg_buildext: Fix "installed-versions" for empty package name suffixes.
  * pg_buildext: Don't update debian/control if debian/control.in is missing.
  * Move dh_pgxs_test after dh_link so we have the links in the install trees.
  * Skip invoking dh_pgxs_test if nocheck is set, or when on hurd-i386.

 -- Christoph Berg <myon@debian.org>  Tue, 06 Oct 2020 23:26:00 +0200

postgresql-common (218) unstable; urgency=medium

  * pg_buildext installcheck: Set DESTDIR during build-time tests.
  * pg_buildext clean: Do not assume Makefile to be present. (Closes: #971517)

 -- Christoph Berg <myon@debian.org>  Fri, 02 Oct 2020 12:49:44 +0200

postgresql-common (217) unstable; urgency=medium

  * Set PostgreSQL 13 as default version.
  * pg_upgradecluster: Rename wal_keep_segments to wal_keep_size on upgrades
    to PG 13.
  * pg_createcluster: Add option --quiet to suppress initdb output and make
    pg_virtualenv use it.
  * pg_createcluster: Allow -o --pgoption to override createcluster.conf
    settings.
  * t/060_obsolete_confparams.t: Generate full config files dynamically.
  * dh_make_pgxs: Use current debhelper version instead of the oldest one,
    support setting homepage, general template copy-editing.
  * Implement extension building as `dh $@ --with pgxs` and pgxs_loop, backed
    by `--buildsystem=pgxs` and pgxs_loop. We also run `make installcheck` at
    extension build time now via dh_pgxs_test and our PostgreSQL
    extension_destdir patch. Previously extensions could only be tested at
    runtime via autopkgtest.
  * pg_buildext loop: Clean after building instead of before.
  * Add `pg_buildext psql` action for extensions that use psql for testing.
  * Drop the PG major prefix from postgresql-all version number so extensions
    can declare sensible versioned dependencies on it.
  * Updated it debconf translation by Luca Monducci, thanks! (Closes: #969220)

 -- Christoph Berg <myon@debian.org>  Wed, 30 Sep 2020 21:54:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,
  Christoph Berg <myon@debian.org>,
  Peter Eisentraut <petere@debian.org>,
 Standards-Version: 4.4.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
 Build-Depends:
@@ -83,7 +83,7 @@
 Architecture: all
 Depends:
  make,
- postgresql-common (>= 117~),
+ postgresql-common (= ${source:Version}),
  ${misc:Depends},
  ${server-dev-all-depends},
 Description: extension build tool for multiple PostgreSQL versions
@@ -177,6 +177,7 @@
 Depends:
  libecpg-dev,
  libpq-dev,
+ postgresql-common (= ${source:Version}),
  postgresql-server-dev-all,
  ${postgresql-all-depends},
  ${misc:Depends},

=== dh_make_pgxs/debian/watch ===
version=4
@URL@/releases .*/(.*).tar.gz

## postgresql-common 225ubuntu1

=== debian/changelog ===
postgresql-common (225ubuntu1) hirsute; urgency=medium

  * d/postinst: Only add postgres to group ssl-cert if it isn't
    already a member of that group.
    (LP: #1690432)

 -- Bryce Harrington <bryce@canonical.com>  Thu, 25 Feb 2021 16:21:44 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,
  Christoph Berg <myon@debian.org>,

## postgresql-common 225+deb11u1

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 	    pg_wrapper.1
 POD1PROGS_POD = pg_buildext.1 \
 		pg_virtualenv.1 \
+		debhelper/dh_pgxs_test.1 \
 		dh_make_pgxs/dh_make_pgxs.1
 POD8PROGS = pg_updatedicts.8
 
@@ -26,7 +27,7 @@
 	$(POD2MAN) --quotes=none --section 8 $< $@
 
 clean:
-	rm -f *.1 *.8 dh_make_pgxs/*.1
+	rm -f *.1 *.8 debhelper/*.1 dh_make_pgxs/*.1
 
 # rpm

=== debian/changelog ===
postgresql-common (225+deb11u1) bullseye; urgency=medium

  * t/085_pg_ctl.conf.t: sudo and salsa-ci set the core file size hard limit
    to 0 by default, undo that. (Salsa: postgresql/postgresql#2)
  * testsuite: Run all tests even when one is failing.

 -- Christoph Berg <myon@debian.org>  Mon, 02 Oct 2023 10:20:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,
  Christoph Berg <myon@debian.org>,
  Peter Eisentraut <petere@debian.org>,
 Standards-Version: 4.4.0
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git
+Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git -b bullseye
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
 Build-Depends:
  debhelper (>= 9),

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	@echo "### Supported PostgreSQL versions: $(SUPPORTED_VERSIONS) (default version: $(DEFAULT_VER))"
 
 override_dh_install:
-	dh_install
+	dh_install -X.gitignore
 	$(MAKE) -C systemd install DESTDIR=$(CURDIR)/debian/postgresql-common
 	install -m 644 -D debian/postgresql-common.sysctl debian/postgresql-common/etc/sysctl.d/30-postgresql-shm.conf
 	/bin/echo -e "# See /usr/share/postgresql-common/supported-versions for documentation of this file\n$(FLAVOR)" > debian/postgresql-client-common/etc/postgresql-common/supported_versions
@@ -38,10 +38,13 @@
 
 	# the versionless metapackages need to have version numbers which match
 	# the server version, not the p-common version
-	dh_gencontrol -ppostgresql -ppostgresql-client -ppostgresql-doc -ppostgresql-contrib -ppostgresql-all -- \
-		-Vdefault-version="$(DEFAULT_VER)" -v'$(DEFAULT_VER)+$${source:Version}' \
+	dh_gencontrol -ppostgresql -ppostgresql-client -ppostgresql-doc -ppostgresql-contrib -- \
+		-Vdefault-version="$(DEFAULT_VER)" -v'$(DEFAULT_VER)+$${source:Version}'
+
+	dh_gencontrol -ppostgresql-client-common -- \
+		-Vpgdg:Depends="$(PGDG_DEPENDS)" -Vreadline:Recommends=$(LIBREADLINE)
+
+	dh_gencontrol -ppostgresql-all -- \
 		-Vpostgresql-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),postgresql-contrib-$v,postgresql-plperl-$v,$(if $(filter 8.% 9.% 10 11, $v), $(PYTHON2_PACKAGE)),postgresql-plpython3-$v,postgresql-pltcl-$v,)"
 
-	dh_gencontrol -ppostgresql-client-common -- -Vpgdg:Depends="$(PGDG_DEPENDS)" -Vreadline:Recommends=$(LIBREADLINE)
-
 	dh_gencontrol --remaining-packages

=== debian/tests/control ===
Tests: default-psql
Depends: postgresql
Restrictions: needs-root

Tests: run-testsuite
Depends: postgresql-all, build-essential, debhelper, fakeroot, perl, hunspell-en-us, locales, netcat-openbsd, net-tools, procps, logrotate
Restrictions: needs-root

## postgresql-common 225+deb11u1pureos2

=== debian/changelog ===
postgresql-common (225+deb11u1pureos2) byzantium; urgency=medium

  * Fix the supported-version detection on PureOS

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 01 Nov 2024 03:41:43 +0100

postgresql-common (225+deb11u1pureos1) byzantium; urgency=medium

  * Sync with Debian bullseye, remaining changes:
    - detect PureOS releases, similar to Debian testing/unstable

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 01 Nov 2024 03:28:22 +0100

postgresql-common (225pureos1) byzantium; urgency=medium

  [ Jonas Smedegaard ]
  * fork for PureOS:
    + set PureOS Maintainers as maintainer,
      leaving original as XSBC-Original-Maintainer
    + drop uploaders (unused by PureOS Maintainers)
    + replace Vcs-* fields
    + add git-buildpackage config
    + Add README.source.
  * detect PureOS releases, similar to Debian testing/unstable;
    closes: PureOS:261

 -- Jonas Smedegaard <jonas.smedegaard@puri.sm>  Tue, 09 Mar 2021 21:46:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,16 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
-Uploaders:
- Martin Pitt <mpitt@debian.org>,
- Christoph Berg <myon@debian.org>,
- Peter Eisentraut <petere@debian.org>,
+Maintainer: PureOS Maintainers <pureos-project@lists.puri.sm>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Standards-Version: 4.4.0
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git -b bullseye
-Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
 Build-Depends:
  debhelper (>= 9),
  debhelper (>= 10.1) | dh-systemd (>= 1.19),
  libreadline-dev,
+Vcs-Git: https://source.puri.sm/pureos/packages/postgresql-common.git
+Vcs-Browser: https://source.puri.sm/pureos/packages/postgresql-common
 
 Package: postgresql-common
 Architecture: all

## postgresql-common 226

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,12 @@
 POD2MAN=pod2man --center "Debian PostgreSQL infrastructure" -r "Debian"
-POD1PROGS = pg_conftool.1 \
+POD1PROGS = pg_backupcluster.1 \
+	    pg_conftool.1 \
 	    pg_createcluster.1 \
 	    pg_ctlcluster.1 \
 	    pg_dropcluster.1 \
 	    pg_lsclusters.1 \
 	    pg_renamecluster.1 \
+	    pg_restorecluster.1 \
 	    pg_upgradecluster.1 \
 	    pg_wrapper.1
 POD1PROGS_POD = pg_buildext.1 \
@@ -43,6 +45,7 @@
 	git archive --prefix=postgresql-common-$(DPKG_VERSION)/ HEAD | xz > $(TARBALL)
 
 rpminstall:
+	sudo yum install -y perl-JSON
 	sudo rpm --upgrade --replacefiles --replacepkgs -v $(RPMDIR)/RPMS/noarch/*-$(DPKG_VERSION)-*.rpm
 
 rpmremove:

=== systemd/Makefile ===
install:
	install -d $(DESTDIR)/lib/systemd/system-generators/ $(DESTDIR)/lib/systemd/system/
	install postgresql-generator $(DESTDIR)/lib/systemd/system-generators/
	install -m644 *.service *.timer $(DESTDIR)/lib/systemd/system/

reload: install
	systemctl daemon-reload

=== debian/changelog ===
postgresql-common (226) experimental; urgency=medium

  [ Christoph Berg ]
  * pg_backupcluster, pg_restorecluster: New front-ends to pg_basebackup,
    pg_receivewal and pg_dump with systemd service/timer integration.
  * pg_dropcluster: Disable cluster and backup services on drop.
  * pg_upgradecluster: Deprecate vacuum_cleanup_index_scale_factor in 14.
  * Promote libjson-perl to Depends.
  * Move cluster owner verification from pg_ctlcluster to new PgCommon.pm
    function validate_cluster_owner and use it in pg_upgradecluster,
    pg_renamecluster, pg_dropcluster. (Extends the CVE-2019-3466 fix.)
  * PgCommon.pm: documentation converted to POD, many thanks to Pablo Valdés
    for the excellent patch!
  * PgCommon.pm error: Use die() instead of exit().
  * supported-versions: Drop support for 9.5 on apt.postgresql.org.

  [ Hanefi Onaldi ]
  * pg_buildext build: Move extra_cflags from command line arguments to COPT
    so Makefile.global CFLAGS are not overridden

  [ Bryce Harrington ]
  * d/postinst: Only add postgres to group ssl-cert if it isn't
    already a member of that group. (Closes: #984473, LP: #1690432)

 -- Christoph Berg <myon@debian.org>  Wed, 12 May 2021 17:16:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: PureOS Maintainers <pureos-project@lists.puri.sm>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Uploaders:
+ Martin Pitt <mpitt@debian.org>,
+ Christoph Berg <myon@debian.org>,
+ Peter Eisentraut <petere@debian.org>,
 Standards-Version: 4.4.0
 Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git
+Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
 Build-Depends:
  debhelper (>= 9),
  debhelper (>= 10.1) | dh-systemd (>= 1.19),
  libreadline-dev,
-Vcs-Git: https://source.puri.sm/pureos/packages/postgresql-common.git
-Vcs-Browser: https://source.puri.sm/pureos/packages/postgresql-common
 
 Package: postgresql-common
 Architecture: all
@@ -18,6 +21,7 @@
 Depends:
  adduser,
  debconf (>= 0.5.00) | debconf-2.0,
+ libjson-perl,
  lsb-base (>= 3.0-3),
  perl (>= 5.14),
  postgresql-client-common (= ${source:Version}),
@@ -27,8 +31,6 @@
 Recommends:
  e2fsprogs,
  logrotate,
-Suggests:
- libjson-perl,
 Breaks:
  postgresql-9.1 (<< 9.1.1-3~),
  systemd (<< 204),

## postgresql-common 226.pgdg110%2B1

=== debian/changelog ===
postgresql-common (226.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 12 May 2021 17:16:38 +0200

## postgresql-common 232

=== debian/changelog ===
postgresql-common (232-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * source/format to quilt.
  * Rename upstream tarball to include .orig.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 24 Nov 2021 10:52:51 -0500

postgresql-common (232) unstable; urgency=medium

  * pg_backupcluster: Preserve wal file timestamps with compresswal.
  * t/006_next_free_port.t: Sleep longer after nc startup.
  * t/020_create_sql_remove.t: Sleep a bit after stopping clusters to
    hopefully fix a race condition seen on ci.debian.net.
  * t/180_ecpg.t: Print error messages to console.
  * dh_make_pgxs/debian/watch: Look at tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Thu, 11 Nov 2021 17:17:49 +0100

postgresql-common (231) unstable; urgency=medium

  * supported-versions: Set PG 14 as default.
  * pg_createcluster: Avoid "auth is trust" initdb warning on pre-9.2 servers.

 -- Christoph Berg <myon@debian.org>  Thu, 30 Sep 2021 13:12:36 +0200

postgresql-common (230) unstable; urgency=medium

  * dh_installinit, dh_installsystemd: Use --no-start to prevent all actions
    on postgresql.service at postgresql-common install/upgrade time.
  * t/012_maintscripts.t: Compare pid files instead of using ps.

 -- Christoph Berg <myon@debian.org>  Tue, 28 Sep 2021 13:15:59 +0200

postgresql-common (229) unstable; urgency=medium

  * postgresql-common.maintscript: We mistakenly tried to remove
    /etc/apt/apt.conf.d/01autoremove instead of 01autoremove-postgresql.
    Fix, and bump version to retry the removal.
  * pg_updateaptconfig: Switch to 02autoremove-postgresql since dpkg 1.20.6's
    new built-in remove-conffile-on-upgrade logic doesn't like the file
    reappearing as non-conffile.
  * pg_createcluster: Add --no-status option for suppressing status message.
  * pg_createcluster: Use scram-sha-256 by default in PG14+.
  * t/020_create_sql_remove.t: Check pg_hba.conf auth methods.
  * pg_upgradecluster: Migrate old files to new cluster before upgrading.
  * pg_wrapper: Skip LD_PRELOAD logic in PG13+.
  * postgresql-client-common: Stop recommending libreadline.
  * postgresql-server-dev-all: Mark dependency on make as :any.
  * Depend on ${perl:Depends}.
  * dh_installsystemd: Use -r to prevent restarting postgresql.service.
  * t/012_maintscripts.t: New maintainer scripts test.
  * pgdg/apt.postgresql.org.sh: Try /etc/os-release first and add some
    precautionary checks to the other methods.

 -- Christoph Berg <myon@debian.org>  Sat, 25 Sep 2021 21:43:00 +0200

postgresql-common (228) unstable; urgency=medium

  * postgresql-server-dev-all: Move to Arch: any, M-A: same to allow
    cross-compiling.
  * pg_buildext.pod: Use `B-D: postgresql-all <!nocheck>` in example.
  * Update doc/dependencies.* and install as .svg.
  * pg_virtualenv, postgresql-common.postrm: Use `command -v` instead of
    deprecated `which`.
  * Upgrade to debhelper 13; packaging still compatible with DH10 in stretch.
  * Add ${misc:Pre-Depends} to postgresql-common.
  * Install pg_backupcluster.1, pg_restorecluster.1, and pg_getwal.1 manpages.
  * Remove /etc/sysctl.d/30-postgresql-shm.conf, obsolete with current
    kernels and PG versions.

 -- Christoph Berg <myon@debian.org>  Thu, 16 Sep 2021 18:44:15 +0200

postgresql-common (227) unstable; urgency=medium

  * pgdg/apt.postgresql.org.sh, t/020_create_sql_remove.t: Support PG15.
  * pgxs.pm: Enable tests on hurd, it can run PostgreSQL now.

 -- Christoph Berg <myon@debian.org>  Tue, 31 Aug 2021 17:33:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,39 +1,38 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,
  Christoph Berg <myon@debian.org>,
  Peter Eisentraut <petere@debian.org>,
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
 Build-Depends:
- debhelper (>= 9),
- debhelper (>= 10.1) | dh-systemd (>= 1.19),
- libreadline-dev,
+ debhelper-compat (= 13),
 
 Package: postgresql-common
 Architecture: all
 Multi-Arch: foreign
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  adduser,
  debconf (>= 0.5.00) | debconf-2.0,
  libjson-perl,
  lsb-base (>= 3.0-3),
- perl (>= 5.14),
  postgresql-client-common (= ${source:Version}),
  ssl-cert (>= 1.0.11),
  ucf,
  ${misc:Depends},
+ ${perl:Depends},
 Recommends:
  e2fsprogs,
  logrotate,
 Breaks:
  postgresql-9.1 (<< 9.1.1-3~),
- systemd (<< 204),
 # pg_buildext moved pg-s-d-all in 204
  postgresql-server-dev-all (<< 204),
 Replaces:
@@ -60,9 +59,8 @@
 Depends:
  netbase,
  ${misc:Depends},
+ ${perl:Depends},
  ${pgdg:Depends},
-Recommends:
- ${readline:Recommends},
 Description: manager for multiple PostgreSQL client versions
  The postgresql-client-common package provides a structure under which
  multiple versions of PostgreSQL client programs may be installed at
@@ -79,9 +77,10 @@
  and functions.
 
 Package: postgresql-server-dev-all
-Architecture: all
+Architecture: any
+Multi-Arch: same
 Depends:
- make,
+ make:any,
  postgresql-common (= ${source:Version}),
  ${misc:Depends},
  ${server-dev-all-depends},

## postgresql-common 232.pgdg90%2B1

=== debian/changelog ===
postgresql-common (232.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Re-enable plpython2 packages.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 11 Nov 2021 17:17:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,
  Christoph Berg <myon@debian.org>,
@@ -12,7 +11,7 @@
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 10),
 
 Package: postgresql-common
 Architecture: all

## postgresql-common 232.pgdg110%2B1

=== debian/changelog ===
postgresql-common (232.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 11 Nov 2021 17:17:49 +0100

## postgresql-common 238

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 	    pg_createcluster.1 \
 	    pg_ctlcluster.1 \
 	    pg_dropcluster.1 \
+	    pg_getwal.1 \
 	    pg_lsclusters.1 \
 	    pg_renamecluster.1 \
 	    pg_restorecluster.1 \
@@ -35,14 +36,19 @@
 
 DPKG_VERSION=$(shell sed -ne '1s/.*(//; 1s/).*//p' debian/changelog)
 RPMDIR=$(CURDIR)/rpm
-TARBALL=$(RPMDIR)/SOURCES/postgresql-common_$(DPKG_VERSION).tar.xz
+TARNAME=postgresql-common_$(DPKG_VERSION).tar.xz
+TARBALL=$(RPMDIR)/SOURCES/$(TARNAME)
 
 rpmbuild: $(TARBALL)
 	rpmbuild -D"%_topdir $(RPMDIR)" --define='version $(DPKG_VERSION)' -ba rpm/postgresql-common.spec
 
 $(TARBALL):
 	mkdir -p $(dir $(TARBALL))
-	git archive --prefix=postgresql-common-$(DPKG_VERSION)/ HEAD | xz > $(TARBALL)
+	if test -f ../$(TARNAME); then \
+	    cp -v ../$(TARNAME) $(TARBALL); \
+	else \
+	    git archive --prefix=postgresql-common-$(DPKG_VERSION)/ HEAD | xz > $(TARBALL); \
+	fi
 
 rpminstall:
 	sudo yum install -y perl-JSON
@@ -52,4 +58,4 @@
 	-sudo rpm -e postgresql-common postgresql-client-common postgresql-server-dev-all
 
 rpmclean:
-	rm -rf $(TARBALL) $(RPMDIR)/BUILD
+	rm -rf $(RPMDIR)/*/

=== debian/changelog ===
postgresql-common (238) unstable; urgency=medium

  * pg_restorecluster: Correctly detect errors on restore.
  * pg_restorecluster: Support uncompressed backups and bz2/xz compression.
  * supported-versions: Unsupport PG 9.6 for apt.postgresql.org.
  * t/180_ecpg.t: Enable debug output and run program in pg_virtualenv.

 -- Christoph Berg <myon@debian.org>  Thu, 10 Feb 2022 11:02:57 +0100

postgresql-common (237) unstable; urgency=medium

  * postgresql.mk: Mute dpkg error on empty version fields in debian/control.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Jan 2022 11:44:42 +0100

postgresql-common (236) unstable; urgency=medium

  * pg_buildext: Generate postgresql:Depends substvar and depend on
    postgresql-$version-jit-llvm (>= $llvm_version).

 -- Christoph Berg <myon@debian.org>  Mon, 03 Jan 2022 16:19:56 +0100

postgresql-common (235) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * server/postgresql.mk: avoid gcc 11 ICE on armhf and armel.

 -- Christoph Berg <myon@debian.org>  Mon, 20 Dec 2021 18:13:44 +0100

postgresql-common (234) unstable; urgency=medium

  * server/postgresql.mk: Fix OS detection in override_dh_auto_test.

 -- Christoph Berg <myon@debian.org>  Mon, 06 Dec 2021 10:51:35 +0100

postgresql-common (233) unstable; urgency=medium

  * pg_virtualenv.1: Document -p and extension_destdir.
  * server: Centralize server packages debian/rules logic here.

 -- Christoph Berg <myon@debian.org>  Fri, 03 Dec 2021 09:50:31 +0100

=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
ifneq ($(findstring bpo,$(VERSION)),)
	FLAVOR := debian-backports
else ifneq ($(findstring pgdg,$(VERSION)),)
	FLAVOR := pgdg
	# for apt.postgresql.org builds, pull in the repository key package
	PGDG_DEPENDS := pgdg-keyring
else
	FLAVOR := default
endif
SUPPORTED_VERSIONS := $(shell PG_SUPPORTED_VERSIONS="$(FLAVOR)" debian/supported-versions)
DEFAULT_VER := $(lastword $(SUPPORTED_VERSIONS))

#py2#PYTHON2_PACKAGE=postgresql-plpython-$v

%:
	dh $@

override_dh_auto_configure:
	@echo "### Building postgresql-common flavor $(FLAVOR)"
	@echo "### Supported PostgreSQL versions: $(SUPPORTED_VERSIONS) (default version: $(DEFAULT_VER))"
	echo "# See /usr/share/postgresql-common/supported-versions for documentation of this file" > supported_versions
	echo "$(FLAVOR)" >> supported_versions

# do not (re)start postgresql.service on postgresql-common install/upgrades
override_dh_installinit:
	dh_installinit -ppostgresql-common --name=postgresql -u'defaults 19 21' --no-start
override_dh_installsystemd:
	dh_installsystemd --no-start

override_dh_gencontrol:
	dh_gencontrol -ppostgresql-server-dev-all -- -Vserver-dev-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),postgresql-server-dev-$v,)"

	# the versionless metapackages need to have version numbers which match
	# the server version, not the p-common version
	dh_gencontrol -ppostgresql -ppostgresql-client -ppostgresql-doc -ppostgresql-contrib -- \
		-Vdefault-version="$(DEFAULT_VER)" -v'$(DEFAULT_VER)+$${source:Version}'

	dh_gencontrol -ppostgresql-client-common -- \
		-Vpgdg:Depends="$(PGDG_DEPENDS)"

	dh_gencontrol -ppostgresql-all -- \
		-Vpostgresql-all-depends="$(foreach v,$(SUPPORTED_VERSIONS),postgresql-contrib-$v,postgresql-plperl-$v,$(if $(filter 8.% 9.% 10 11, $v), $(PYTHON2_PACKAGE)),postgresql-plpython3-$v,postgresql-pltcl-$v,)"

	dh_gencontrol --remaining-packages
